import { BaseDatastore } from './base.js';
import * as Errors from './errors.js';
export class BlackHoleDatastore extends BaseDatastore {
    put(key) {
        return key;
    }
    get() {
        throw Errors.notFoundError();
    }
    has(key) {
        return false;
    }
    delete(key) {
    }
    *_all() {
    }
    *_allKeys() {
    }
}
//# sourceMappingURL=black-hole.js.map